%global name3 python3-retask
# RHEL-7 doesn't have python 3
%if 0%{?rhel} == 7
  %global with_python3 0
%else
  %global with_python3 1
%endif



Name:           python-retask
Version:        0.4
Release:        14%{?dist}
Summary:        Python module to create and manage distributed task queues

License:        MIT
URL:            http://retask.readthedocs.org/en/latest/index.html
Source0:        https://pypi.python.org/packages/source/r/retask/retask-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel, python2-setuptools
BuildRequires:       python2-redis
BuildRequires:       python2-six

%if %{with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-redis
BuildRequires:  python3-six
%endif


%global _description\
Python module to create and manage distributed task queues using redis.

%description %_description

%package -n python2-retask
Summary: %summary
Requires:       python2-redis
Requires:       python2-six
%{?python_provide:%python_provide python2-retask}

%description -n python2-retask %_description

%if %{with_python3}
%package -n %{name3}
Summary:        Python 3 retask module
Provides:       python3-retask = %{version}-%{release}
Requires:       python3-redis
Requires:       python3-six

%description -n %{name3}
Python3 module to create and manage distributed task queues using redis.
%endif


%prep
%setup -q -n retask-%{version}

%if %{with_python3}
# Create Python 3 source tree
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif


%build
%py2_build

%if %{with_python3}
# Build Python 3 modules
pushd %{py3dir}
%{__python3} setup.py build
%endif


%install
rm -rf $RPM_BUILD_ROOT
%py2_install

%if %{with_python3}
# Install Python 3 modules
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif


%files -n python2-retask
%doc LICENSE
# For noarch packages: sitelib
%{python2_sitelib}/retask*

%if %{with_python3}
%files -n %{name3}
%doc LICENSE
%{python3_sitelib}/retask*
%endif

%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.4-12
- Rebuilt for Python 3.7

* Wed Feb 28 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.4-11
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4-9
- Python 2 binary package renamed to python2-retask
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.4-6
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Feb 03 2016 Kushal Das <kushal@fedoraproject.org> 0.4-4
- More require fix.

* Tue Feb 02 2016 Kushal Das <kushal@fedoraproject.org> 0.4-3
- Adds python six as BR and required module

* Tue Feb 02 2016 Kushal Das <kushal@fedoraproject.org> 0.4-2
- Fixes build requires.

* Tue Feb 02 2016 Kushal Das <kushal@fedoraproject.org> 0.4-1
- Updates to 0.4 release

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Dec 10 2012 Kushal Das <kushal@fedoraproject.org> 0.3-1
- 0.3 release

* Fri Jul 27 2012 Kushal Das <kushal@fedoraproject.org> 0.2-1
- Initial release

